<?php
require_once('../../../includes/load.php');


//funcion para traer los datos de la base de datos a la tabla listado programa
$convert_utf8 = function ($s) {
         if (!mb_check_encoding($s, 'UTF-8')) {
             $s = utf8_encode($s);
         }
         return $s;
     };
$sql = $db->query("SELECT da.id,da.IdOperacion, da.FechaRegistroDetalleOperacion, pr.Campana,g.GNombre,pr.TipoGranja,ts.TSNombre,ac.ANombre,da.Jornal, da.JornalTractorista, op.Estado FROM detalleoperacion da INNER JOIN operacion op ON da.IdOperacion = op.id INNER JOIN programa pr ON op.IdPrograma = pr.id INNER JOIN tiposervicio ts ON pr.IdTipoServicio = ts.IdTipoServicio AND op.IdTipoServicio = ts.IdTipoServicio INNER JOIN actividad ac ON da.IdActividad = ac.IdActividad INNER JOIN granja g ON op.IdGranja = g.IdGranja AND pr.IdGranja = g.IdGranja ORDER BY da.id DESC LIMIT 10000;");
$data = array();
while( $rows = mysqli_fetch_assoc($sql) ) {
	$data[] = array_map($convert_utf8, $rows);
}
$results = array(
	"sEcho" => 1,
"iTotalRecords" => count($data),
"iTotalDisplayRecords" => count($data),
  "aaData"=>$data);
echo json_encode($results);
?>